> ## Documentation Index
> Fetch the complete documentation index at: https://ai-recruiter.micro1.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a job applicant

> Create a job applicant for a specific job via this endpoint.



## OpenAPI

````yaml /openapi.json post /job/{jobId}/applicant
openapi: 3.0.3
info:
  title: micro1 Public API
  description: micro1 ai-interview platform public API
  version: 1.0.0
  termsOfService: https://www.micro1.ai/terms-conditions
  contact:
    name: micro1 API Support
    url: https://www.micro1.ai
    email: support@micro1.ai
servers:
  - url: https://public.api.micro1.ai
    description: Production server
security:
  - apiKey: []
paths:
  /job/{jobId}/applicant:
    post:
      tags:
        - Job Applicant
      summary: Create a job applicant
      description: Create a job applicant for a specific job via this endpoint.
      operationId: jobsApplicant-c1ce8fbf-390b-412b-9895-d422b21e823e
      parameters:
        - name: jobId
          in: path
          description: ID of the job
          required: true
          schema:
            $ref: '#/components/schemas/jobId'
      requestBody:
        description: Request body to create a job applicant
        required: false
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/e486e318-d331-48d4-91f8-e6df3799e17f'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/5ce136f1-27c7-4a91-8e56-6b91df2ba637'
          headers:
            Access-Control-Allow-Origin:
              description: >-
                The Access-Control-Allow-Origin response header indicates
                whether the response can be shared with requesting code from the
                given
                [origin](https://developer.mozilla.org/en-US/docs/Glossary/Origin).
                - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Origin)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Origin'
            Access-Control-Allow-Credentials:
              description: >-
                The Access-Control-Allow-Credentials response header tells
                browsers whether to expose the response to the frontend
                JavaScript code when the request's credentials mode
                ([Request.credentials](https://developer.mozilla.org/en-US/docs/Web/API/Request/credentials))
                is include. - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Credentials)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Credentials'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/365af817-7df6-4481-882f-076637a891f4'
          headers:
            Access-Control-Allow-Origin:
              description: >-
                The Access-Control-Allow-Origin response header indicates
                whether the response can be shared with requesting code from the
                given
                [origin](https://developer.mozilla.org/en-US/docs/Glossary/Origin).
                - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Origin)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Origin'
            Access-Control-Allow-Credentials:
              description: >-
                The Access-Control-Allow-Credentials response header tells
                browsers whether to expose the response to the frontend
                JavaScript code when the request's credentials mode
                ([Request.credentials](https://developer.mozilla.org/en-US/docs/Web/API/Request/credentials))
                is include. - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Credentials)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Credentials'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/96c81713-d1a0-41f9-bb10-ae3954fe2fcc'
          headers:
            Access-Control-Allow-Origin:
              description: >-
                The Access-Control-Allow-Origin response header indicates
                whether the response can be shared with requesting code from the
                given
                [origin](https://developer.mozilla.org/en-US/docs/Glossary/Origin).
                - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Origin)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Origin'
            Access-Control-Allow-Credentials:
              description: >-
                The Access-Control-Allow-Credentials response header tells
                browsers whether to expose the response to the frontend
                JavaScript code when the request's credentials mode
                ([Request.credentials](https://developer.mozilla.org/en-US/docs/Web/API/Request/credentials))
                is include. - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Credentials)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Credentials'
      security:
        - apiKey: []
components:
  schemas:
    jobId:
      type: string
    e486e318-d331-48d4-91f8-e6df3799e17f:
      title: CreateJobApplicantRequest
      type: object
      required:
        - first_name
        - last_name
        - email_id
      properties:
        first_name:
          type: string
          description: First name of the candidate
          example: John
        last_name:
          type: string
          description: Last name of the candidate
          example: Doe
        email_id:
          type: string
          description: Email of the candidate
          example: john.doe@micro1.ai
        phone_number:
          type: string
          description: Phone number of the candidate
          example: '+1234567890'
        resume_url:
          type: string
          description: URL of the resume (PDF or DOCX file)
          example: https://micro1.ai/resume/h0gqkAcaDJ.pdf
    5ce136f1-27c7-4a91-8e56-6b91df2ba637:
      title: CreateJobApplicantResponse
      description: Response for creating a job applicant
      type: object
      properties:
        status:
          type: boolean
          description: Status of the response
          example: true
        message:
          type: string
          description: Message of the response
          example: Job applicant created successfully
        data:
          type: object
          description: Data of the response
          properties:
            job_application_id:
              type: string
              description: Job application ID
              example: 123e4567-e89b-12d3-a456-426614174000
    Access-Control-Allow-Origin:
      type: string
      default: '*'
      example: https://developer.mozilla.org
    Access-Control-Allow-Credentials:
      type: boolean
      default: true
    365af817-7df6-4481-882f-076637a891f4:
      title: BadRequestResponse
      description: Response for bad requests
      type: object
      properties:
        status:
          type: boolean
          description: Whether the request was successful
          example: false
        message:
          type: string
          description: The error message
          example: Invalid request
    96c81713-d1a0-41f9-bb10-ae3954fe2fcc:
      title: InternalServerErrorResponse
      description: Response for internal server error
      type: object
      properties:
        status:
          type: boolean
          description: Whether the request was successful
          example: false
  securitySchemes:
    apiKey:
      description: API key to access the API
      type: apiKey
      name: x-api-key
      in: header

````